Bug 1270401 - NFS v3 read/write support
NFS v3 read/write support
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Sami Wagiaalla
Liang Xia
Depends On:
  Show dependency treegraph
Reported: 2015-10-09 18:51 EDT by Ryan Howe
Modified: 2016-08-19 15:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-26 11:00:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-10-09 18:51:02 EDT
Description of problem:

Wanting NFS v3  read/write support for OSE v3 

Version-Release number of selected component (if applicable):

Additional info:

Due to selinux labeling not supported by NFSv3, Write does not work in osev3 

- This bug is to request, or track status, support for NFSv3 in OpenShift
Comment 2 Sami Wagiaalla 2015-10-29 10:35:49 EDT
Hi Ryan,

What label do you get on the client side with V3 ?
If it is something like system_u:object_r:nfs_t:s0 then try this:
setsebool -P virt_use_nfs on

If not please report the label you get on the client side.

Also if the above does not solve your issue try finding the exact denial you are getting from SELinux:

tail -f /var/log/audit/audit.log | grep denied


osc exec <pod name> touch /path/to/mount TEST

With NFS v3 or v4 we cannot do client side chcon so the answer is to give users the correct instructions to set things up on the export side
Comment 4 Sami Wagiaalla 2016-01-26 11:00:21 EST
The fix for this if broken should to either update the policy or use the pod's security context to set the proper SELinux type.

Please reopen if you are still experiencing problems

Note You need to log in before you can comment on or make changes to this bug.